GET api/printerapi/printersbypc/{pcId}?active={active}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
pcId

globally unique identifier

Required

active

boolean

None.

Body Parameters

None.

Response Information

Resource Description

Collection of PrinterViewModel
NameDescriptionTypeAdditional information
active

boolean

Required

bottom_non_printable_area

decimal number

None.

contrast

decimal number

None.

echenille

boolean

None.

id

globally unique identifier

None.

landscape_format

boolean

None.

left_non_printable_area

decimal number

None.

lenght_size

decimal number

None.

local_ip

string

String length: inclusive between 0 and 15

massicot

boolean

None.

name

string

Required

String length: inclusive between 0 and 100

pc_id

globally unique identifier

None.

peel_off

boolean

None.

print_speed

decimal number

None.

right_non_printable_area

decimal number

None.

site_id

globally unique identifier

Required

thermal_transfert

boolean

None.

top_non_printable_area

decimal number

None.

printer_type_id

globally unique identifier

Required

width_size

decimal number

None.

port_com

integer

None.

Response Formats

application/json, text/json

Sample:
[
  {
    "active": true,
    "bottom_non_printable_area": 1.1,
    "contrast": 1.1,
    "echenille": true,
    "id": "91bfb646-e44d-41e4-9e41-d2fc6779b5b4",
    "landscape_format": true,
    "left_non_printable_area": 1.1,
    "lenght_size": 1.1,
    "local_ip": "sample string 3",
    "massicot": true,
    "name": "sample string 4",
    "pc_id": "588c8dff-0cd4-4ece-9054-abd6ff8f85d1",
    "peel_off": true,
    "print_speed": 1.1,
    "right_non_printable_area": 1.1,
    "site_id": "8a01c4df-8d21-4376-a599-64559f2c7e1b",
    "thermal_transfert": true,
    "top_non_printable_area": 1.1,
    "printer_type_id": "7d275588-abab-4dfa-a6d5-dd4b043a91bb",
    "width_size": 1.1,
    "port_com": 1
  },
  {
    "active": true,
    "bottom_non_printable_area": 1.1,
    "contrast": 1.1,
    "echenille": true,
    "id": "91bfb646-e44d-41e4-9e41-d2fc6779b5b4",
    "landscape_format": true,
    "left_non_printable_area": 1.1,
    "lenght_size": 1.1,
    "local_ip": "sample string 3",
    "massicot": true,
    "name": "sample string 4",
    "pc_id": "588c8dff-0cd4-4ece-9054-abd6ff8f85d1",
    "peel_off": true,
    "print_speed": 1.1,
    "right_non_printable_area": 1.1,
    "site_id": "8a01c4df-8d21-4376-a599-64559f2c7e1b",
    "thermal_transfert": true,
    "top_non_printable_area": 1.1,
    "printer_type_id": "7d275588-abab-4dfa-a6d5-dd4b043a91bb",
    "width_size": 1.1,
    "port_com": 1
  }
]

application/xml, text/xml

Sample:
<ArrayOfprinter xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <printer>
    <active>true</active>
    <bottom_non_printable_area>1.1</bottom_non_printable_area>
    <contrast>1.1</contrast>
    <echenille>true</echenille>
    <id>91bfb646-e44d-41e4-9e41-d2fc6779b5b4</id>
    <landscape_format>true</landscape_format>
    <left_non_printable_area>1.1</left_non_printable_area>
    <lenght_size>1.1</lenght_size>
    <local_ip>sample string 3</local_ip>
    <massicot>true</massicot>
    <name>sample string 4</name>
    <pc_id>588c8dff-0cd4-4ece-9054-abd6ff8f85d1</pc_id>
    <peel_off>true</peel_off>
    <port_com>1</port_com>
    <print_speed>1.1</print_speed>
    <printer_type_id>7d275588-abab-4dfa-a6d5-dd4b043a91bb</printer_type_id>
    <right_non_printable_area>1.1</right_non_printable_area>
    <site_id>8a01c4df-8d21-4376-a599-64559f2c7e1b</site_id>
    <thermal_transfert>true</thermal_transfert>
    <top_non_printable_area>1.1</top_non_printable_area>
    <width_size>1.1</width_size>
  </printer>
  <printer>
    <active>true</active>
    <bottom_non_printable_area>1.1</bottom_non_printable_area>
    <contrast>1.1</contrast>
    <echenille>true</echenille>
    <id>91bfb646-e44d-41e4-9e41-d2fc6779b5b4</id>
    <landscape_format>true</landscape_format>
    <left_non_printable_area>1.1</left_non_printable_area>
    <lenght_size>1.1</lenght_size>
    <local_ip>sample string 3</local_ip>
    <massicot>true</massicot>
    <name>sample string 4</name>
    <pc_id>588c8dff-0cd4-4ece-9054-abd6ff8f85d1</pc_id>
    <peel_off>true</peel_off>
    <port_com>1</port_com>
    <print_speed>1.1</print_speed>
    <printer_type_id>7d275588-abab-4dfa-a6d5-dd4b043a91bb</printer_type_id>
    <right_non_printable_area>1.1</right_non_printable_area>
    <site_id>8a01c4df-8d21-4376-a599-64559f2c7e1b</site_id>
    <thermal_transfert>true</thermal_transfert>
    <top_non_printable_area>1.1</top_non_printable_area>
    <width_size>1.1</width_size>
  </printer>
</ArrayOfprinter>